VSTGUI: VSTGUIEditorInterface Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
VSTGUIEditorInterface Class Reference

`#include <cframe.h>`

Inheritance diagram for VSTGUIEditorInterface:

## Public Member Functions
virtual void | doIdleStuff ()
virtual int32_t | getKnobMode () const
virtual void | beginEdit (int32_t index)
virtual void | endEdit (int32_t index)
virtual bool | beforeSizeChange (const CRect &newSize, const CRect &oldSize)
| frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change
virtual CFrame * | getFrame () const

## Protected Member Functions
| VSTGUIEditorInterface ()=default
virtual | ~VSTGUIEditorInterface () noexcept=default

## Protected Attributes
CFrame * | frame {nullptr}

## Constructor & Destructor Documentation

## ◆ VSTGUIEditorInterface()

VSTGUIEditorInterface | ( |  | ) |
| protecteddefault

## ◆ ~VSTGUIEditorInterface()

virtual ~VSTGUIEditorInterface | ( |  | ) |
| protectedvirtualdefaultnoexcept

## Member Function Documentation

## ◆ beforeSizeChange()

virtual bool beforeSizeChange | ( | const CRect & | newSize,
|  | const CRect & | oldSize )
| inlinevirtual

frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change

Reimplemented in AEffGUIEditor.

## ◆ beginEdit()

virtual void beginEdit | ( | int32_t | index | ) |
| inlinevirtual

Reimplemented in PluginGUIEditor.

## ◆ doIdleStuff()

virtual void doIdleStuff | ( |  | ) |
| inlinevirtual

Reimplemented in AEffGUIEditor, and PluginGUIEditor.

## ◆ endEdit()

virtual void endEdit | ( | int32_t | index | ) |
| inlinevirtual

Reimplemented in PluginGUIEditor.

## ◆ getFrame()

virtual CFrame * getFrame | ( |  | ) | const
| inlinevirtual

## ◆ getKnobMode()

virtual int32_t getKnobMode | ( |  | ) | const
| inlinevirtual

Reimplemented in AEffGUIEditor, and PluginGUIEditor.

## Member Data Documentation

## ◆ frame

CFrame* frame {nullptr}
| protected

The documentation for this class was generated from the following file:

- cframe.h